Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.solution
Interface SolutionListener

All Known Implementing Classes:
  ConflictStatistics, Test

    public interface SolutionListener

IFS solution listener.

Version:
  1.0
Author:
  Tomáš Müller
See Also:
  `Solution`

Method Summary
`void` | `bestCleared(Solution solution)` Called by the solution when method `Solution.clearBest()` is called.
`void` | `bestRestored(Solution solution)` Called by the solution when method `Solution.restoreBest()` is called.
`void` | `bestSaved(Solution solution)` Called by the solution when method `Solution.saveBest()` is called.
`void` | `getInfo(Solution solution, Dictionary info)` Called by the solution when it is asked to produce info table, see `Solution.getInfo()`.
`void` | `solutionUpdated(Solution solution)` Called by the solution when it is updated, see `Solution.update(double)`.

Method Detail

### solutionUpdated

    void solutionUpdated(Solution solution)

  Called by the solution when it is updated, see `Solution.update(double)`.

  Parameters:
    `solution` - source solution

### getInfo

    void getInfo(Solution solution,
                 Dictionary info)

  Called by the solution when it is asked to produce info table, see `Solution.getInfo()`. A listener can also add some its info into this table.

  Parameters:
    `solution` - source solution
    `info` - produced info table

### bestCleared

    void bestCleared(Solution solution)

  Called by the solution when method `Solution.clearBest()` is called.

  Parameters:
    `solution` - source solution

### bestSaved

    void bestSaved(Solution solution)

  Called by the solution when method `Solution.saveBest()` is called.

  Parameters:
    `solution` - source solution

### bestRestored

    void bestRestored(Solution solution)

  Called by the solution when method `Solution.restoreBest()` is called.

  Parameters:
    `solution` - source solution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller